Pixels

GET https://biolink.page/api/pixels/
curl --request GET \
--url 'https://biolink.page/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String Text to search for.
search_by Optional String The field to search in. Allowed values: name, pixel.
type Optional String Allowed values: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
datetime_field Optional String Allowed values: datetime, last_datetime
datetime_start Optional String Only results from this date and time on. Y-m-d H:i:s format.
datetime_end Optional String Only results up to this date and time. Y-m-d H:i:s format.
order_by Optional String The field to sort by. Allowed values: pixel_id, datetime, last_datetime, name.
order_type Optional String Sort direction. ASC for ascending, DESC for descending.
page Optional Integer The page of results you want. Defaults to 1.
results_per_page Optional Integer How many results per page. Allowed values: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "type": "Example",
            "name": "Example",
            "pixel": "Example",
            "last_datetime": null,
            "datetime": "2026-09-25 23:56:40"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://biolink.page/api/pixels?page=1",
        "last": "https://biolink.page/api/pixels?page=1",
        "next": null,
        "prev": null,
        "self": "https://biolink.page/api/pixels?page=1"
    }
}
GET https://biolink.page/api/pixels/{pixel_id}
curl --request GET \
--url 'https://biolink.page/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "pixel": "Example",
        "last_datetime": null,
        "datetime": "2026-09-25 23:56:40"
    }
}
POST https://biolink.page/api/pixels
Parameters Details Description
type Required String Allowed values: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name Required String -
pixel Required String -
curl --request POST \
--url 'https://biolink.page/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "pixel": "Example",
        "last_datetime": null,
        "datetime": "2026-09-25 23:56:40"
    }
}
POST https://biolink.page/api/pixels/{pixel_id}
Parameters Details Description
type Optional String Allowed values: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat
name Optional String -
pixel Optional String -
curl --request POST \
--url 'https://biolink.page/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "type": "Example",
        "name": "Example",
        "pixel": "Example",
        "last_datetime": null,
        "datetime": "2026-09-25 23:56:40"
    }
}
DELETE https://biolink.page/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://biolink.page/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \